Subject: Re: bug#72305: [PATCH] Fix DocView's text conversion on tty Emacs

From: Jeremy Bryant <[email-masked]>
Date: Fri, 26 Jul 2024 22:48:00 +0100

Manuel Giraud via "Bug reports for GNU Emacs, the Swiss army knife of text editors" <[email-masked]> writes:

> Tags: patch
>
> Hi,
>
> When doing 'M-x doc-view-mode' on document buffer in "emacs -nw", Emacs
> proposes to convert this document to the text version and if the user
> says "yes" it calls `doc-view-open-text'.
>
> `doc-view-open-text' tries to get the current page by calling the
> `doc-view-current-page' but this latter relies on
> `image-mode-window-get' which most probably return nil on a tty.

I can't reproduce this bug on 29.4, could you provide a more complete
recipe starting from emacs -Q?
>
> In GNU Emacs 31.0.50 (build 1, x86_64-unknown-openbsd7.5, cairo version
>  1.18.0) of 2024-07-26 built on computer
> Repository revision: 52cae67e1e73615fff184abcc8e635d80f8846ad
> Repository branch: master
> Windowing system distributor 'The X.Org Foundation', version 11.0.12101013
> System Description: OpenBSD computer 7.5 GENERIC.MP#207 amd64
>
> Configured using:
>  'configure CC=egcc CPPFLAGS=-I/usr/local/include
>  LDFLAGS=-L/usr/local/lib MAKEINFO=gmakeinfo --prefix=/home/manuel/emacs
>  --bindir=/home/manuel/bin --with-x-toolkit=no --with-cairo
>  --without-compress-install'
>
> [2. text/patch; 0001-Fix-DocView-s-text-conversion-on-tty-Emacs.patch]...